Bug 239108 - After resume from RAM, NM won't reconnect to wired network
After resume from RAM, NM won't reconnect to wired network
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-04 17:44 EDT by Zack Cerza
Modified: 2008-05-06 21:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:39:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
NetworkManager log during suspend in FC7rc2 (21.31 KB, text/plain)
2007-05-30 00:16 EDT, Jesse Brandeburg
no flags Details
Output of dmesg (56.39 KB, text/plain)
2007-10-11 11:23 EDT, Matěj Cepl
no flags Details
/var/log/messages (2.23 MB, text/plain)
2007-10-11 11:27 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Zack Cerza 2007-05-04 17:44:12 EDT
Description of problem:
After I resume from RAM, NetworkManager won't reconnect to a wired network, even
though 'Wired Network' is not greyed out. If I unplug the cable, it does become
greyed out, and if I plug it back in, the option becomes available again - so it
does seem to detect the link.

My wired ethernet controller is a tg3.

Version-Release number of selected component (if applicable):
kernel-2.6.21-1.3132.fc7.i686
Comment 1 Zack Cerza 2007-05-16 15:54:27 EDT
er... NetworkManager-0.6.5-2.fc7.i386
Comment 2 Jesse Brandeburg 2007-05-30 00:16:01 EDT
Created attachment 155658 [details]
NetworkManager log during suspend in FC7rc2

I get the same thing when resuming from suspend (S3) on my T43 (except for it
is the wireless that doesn't come up).	I am attaching my messages log.  Note
the "deactivating eth0/eth1" lines, they occur directly after wake up.	The
activation lines you see for eth1 are from my manual activiation of the
network, which works just fine when I select my default home SSID from the
list.
Comment 3 Matěj Cepl 2007-10-11 11:23:51 EDT
Created attachment 224431 [details]
Output of dmesg

Just adding other "Me too" -- after resuming from "Suspend to RAM" I had to
restart NEtworkManager to make wired connection working.
Comment 4 Matěj Cepl 2007-10-11 11:27:59 EDT
Created attachment 224451 [details]
/var/log/messages
Comment 5 Bug Zapper 2008-04-03 20:30:53 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 6 Bug Zapper 2008-05-06 21:39:48 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.